﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using Infragistics.WebUI.Shared;
using Infragistics.WebUI.WebSchedule;
using System.Collections;
using Infragistics.WebUI.UltraWebGrid;
using System.Data;
using System.Drawing;
using System.Diagnostics;

namespace WebScheduleTesting
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        UltraWebGrid dynamicGrid;
        protected void Page_Load(object sender, EventArgs e)
        {

            OleDbConnection conn = new OleDbConnection();
            conn.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0; Data Source=|DataDirectory|\WebSchedule2.mdb";
            this.WebScheduleOleDbProvider1.Connection = conn;

            ClientScript.RegisterClientScriptBlock(this.GetType(), "ReadOnly", "<script>var IsDialogReadOnly=false;</script>");
        }

        void dynamicGrid_InitializeRow(object sender, RowEventArgs e)
        {

        }
        private DataTable TestData()
        {
            const int NumberOfRecords = 10;
            DataTable dtData = new DataTable();
            dtData.Columns.Add("Column_1", typeof(object));
            dtData.Columns.Add("Column_2", typeof(string));
            dtData.Columns.Add("Column_3", typeof(int));

            for (int i = 1; i <= NumberOfRecords; i++)
            {
                DataRow dr = dtData.NewRow();
                dr[0] = "Col 1 Row " + i.ToString();
                dr[1] = "Some Text " + i.ToString();
                dr[2] = i;
                dtData.Rows.Add(dr);
            }

            return dtData;

        }
        protected void Button1_Click(object sender, EventArgs e)
        {
            this.WebScheduleInfo1.DataBind();
            SmartDate date = new SmartDate(2010,11,11);
            ArrayList resources = (ArrayList)this.WebScheduleOleDbProvider1.FetchResources();
            AppointmentsSubsetCollection appCol = this.WebScheduleInfo1.GetAppointmentsForDate((Resource)resources[0], date);
            Appointment ap = appCol[0];  
            
        }
    }
}