namespace Forms
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;


	/// <summary>
	///		Summary description for Appointment1.
	/// </summary>
	public partial class AppointmentAddUC : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.Label labelEndTime;
		protected Forms.ComboBox combobox1;
		protected Forms.ComboBox Combobox2;

		protected void Page_Load(object sender, System.EventArgs e)
		{
            
			wdcStartTime.Attributes.CssStyle["height"]=" ";
			wdcStartTime.EditStyle.CustomRules="height:;";
			wdcEndTime.Attributes.CssStyle["height"]=" ";
			wdcEndTime.EditStyle.CustomRules="height:;";
            this.LocalizeStrings();
        }

        #region LocalizeStrings

        private void LocalizeStrings()
        {
            
            statusText.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_RecurrenceStatus;
            SubjectLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_Subject;
            LocationLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_Location;
            recurrenceDescriptionText.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_RecurrenceDescriptionText;
            StartTimeLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_StartTime;
            startdateLabel508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_StartDate_Section508;
            startTimeLabel508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_StartTime_Section508;
            AllDayEventLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_AllDayEvent;
            EndTimeLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_EndTime;
            endTimeLabel508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_EndTime_Section508;
            endDateLabel508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_EndDate_Section508;
            ReminderLabel.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_Reminder;
            ReminderIntervalSection508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderInterval_Section508;
            ri_eightHours.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_EightHours;
            ri_fifteenMin.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_FifteenMinutes;
            ri_fiveMin.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_FiveMinutes;
            ri_fourHours.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_FourHours;
            ri_halfDay.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_HalfDay;
            ri_oneDay.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_OneDay;
            ri_oneHour.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_OneHour;
            ri_tenMin.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_TenMinutes;
            ri_thirtyMin.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_ThirtyMinutes;
            ri_twoDays.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_TowDays;
            ri_twoHours.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_TwoHours;
            ri_zeroMin.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ReminderIntervalOption_ZeroMinutes;
            ShowTimeAsLabel.Text = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs;
            showTimeAsLabelSection508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs_Section508;
            showTimeAs_Free.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs_Free;
            showTimeAs_Busy.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs_Busy;
            showTimeAs_OutofOffice.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs_OutofOffice;
            showTimeAs_Tentative.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_ShowTimeAs_Tentative;
            descriptionSection508.InnerHtml = WebScheduleTesting.App_GlobalResources.strings.AppointmentDialog_Description_Section508;

        }

        #endregion

        #region Web Form Designer generated code
        override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{

		}
		#endregion
	}
}
